Skip to main content
GET
/
api
/
v1
/
spi
/
operations
/
{operationId}
/
timeline
Get operation timeline
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/spi/operations/{operationId}/timeline \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/spi/operations/{operationId}/timeline"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/spi/operations/{operationId}/timeline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "category": "<string>",
      "id": "<string>",
      "occurredAt": "<string>",
      "operationId": "<string>",
      "actorId": "<string>",
      "actorType": "<string>",
      "createdAt": "<string>",
      "evidenceMetadata": {},
      "failureCategory": "<string>",
      "messageId": "<string>",
      "newState": "<string>",
      "railReference": "<string>",
      "reason": "<string>",
      "reasonCode": "<string>",
      "source": "<string>",
      "summary": "<string>"
    }
  ],
  "limit": 123,
  "nextCursor": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

operationId
string
required

Operation identifier

Query Parameters

limit
integer<int64>
default:50

Page size (default 50, max 200)

Required range: 1 <= x <= 200
cursor
string

Opaque pagination cursor

includeEvidence
string

Include EVIDENCE-class events (true/false)

aggregated
string

Use the unified multi-source aggregator (true/false, default true)

Response

OK

items
object[] | null
required

Page of timeline events for the operation, oldest-to-newest within the page.

limit
integer<int64>
required

Page size requested for this response (default 50, max 200).

nextCursor
string

Opaque cursor to fetch the next page; absent on the last page.